package de.dass_it.vanhelsing.gui.items;
public class CounterItem extends ItemType implements UserObjectItem{
	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="minimum"
	 */
	private String minimum;
	/**
	 * @uml.property  name="maximum"
	 */
	private String maximum;
	/**
	 * @uml.property  name="wrapcounter"
	 */
	private String wrapcounter;
	/**
	 * @uml.property  name="catalog"
	 */
	private String catalog;

	public CounterItem(){}
	public CounterItem(String name){
		setName(name);
	}
	
	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return
	 * @uml.property  name="minimum"
	 */
	public String getMinimum() {
		return minimum;
	}
	/**
	 * @param minimum
	 * @uml.property  name="minimum"
	 */
	public void setMinimum(String minimum) {
		this.minimum = minimum;
	}
	/**
	 * @return
	 * @uml.property  name="maximum"
	 */
	public String getMaximum() {
		return maximum;
	}
	/**
	 * @param maximum
	 * @uml.property  name="maximum"
	 */
	public void setMaximum(String maximum) {
		this.maximum = maximum;
	}
	/**
	 * @return
	 * @uml.property  name="wrapcounter"
	 */
	public String getWrapcounter() {
		return wrapcounter;
	}
	/**
	 * @param wrapcounter
	 * @uml.property  name="wrapcounter"
	 */
	public void setWrapcounter(String wrapcounter) {
		this.wrapcounter = wrapcounter;
	}
	/**
	 * @return
	 * @uml.property  name="catalog"
	 */
	public String getCatalog() {
		return catalog;
	}
	/**
	 * @param catalog
	 * @uml.property  name="catalog"
	 */
	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}
	
}

